MetaData:
  run_name: advect_ions

# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98841586e+33 # 1 M_Sol
  UnitLength_in_cgs:   3.08567758e21 # kpc in cm
  UnitVelocity_in_cgs: 1.e5 # km/s
  UnitCurrent_in_cgs:  1.
  UnitTemp_in_cgs:     1. # K

# Parameters governing the time integration
TimeIntegration:
  max_nr_rt_subcycles: 1
  time_begin: 0.    # The starting time of the simulation (in internal units).
  time_end:   1   # end time: radiation reaches edge of box
  dt_min:     1.e-12 # The minimal time-step size of the simulation (in internal units).
  dt_max:     1.e-03  # The maximal time-step size of the simulation (in internal units).


# Parameters governing the snapshots
Snapshots:
  basename:            output # Common part of the name of output files
  time_first:          0.     # Time of the first output (in internal units)
  delta_time:          0.1 # Time between snapshots

# Parameters governing the conserved quantities statistics
Statistics:
  time_first:          0.
  delta_time:          5e-4 # Time between statistics output

# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.2348   # Target smoothing length in units of the mean inter-particle separation (1.2348 == 48Ngbs with the cubic spline kernel).
  CFL_condition:         0.9      # Courant-Friedrich-Levy condition for time integration.
  minimal_temperature:   10.      # Kelvin

# Parameters related to the initial conditions
InitialConditions:
  file_name:  ./advect_ions.hdf5     # The file to read
  periodic:   1                      # periodic ICs. Keep them periodic so we don't loose photon energy.

GEARRT:
  f_reduce_c: 1.e-5                                 # reduce the speed of light for the RT solver by multiplying c with this factor
  CFL_condition: 0.9
  f_limit_cooling_time: 0.0                         # (Optional) multiply the cooling time by this factor when estimating maximal next time step. Set to 0.0 to turn computation of cooling time off.
  photon_groups_Hz: [3.288e15, 5.945e15, 13.157e15] # Lower photon frequency group bin edges in Hz. Needs to have exactly N elements, where N is the configured number of bins --with-RT=GEAR_N
  stellar_luminosity_model: const                   # Which model to use to determine the stellar luminosities.
  const_stellar_luminosities_LSol: [0., 0., 0.]     # (Conditional) constant star luminosities for each photon frequency group to use if stellar_luminosity_model:const is set, in units of Solar Luminosity.
  hydrogen_mass_fraction:  0.76                     # total hydrogen (H + H+) mass fraction in the metal-free portion of the gas
  set_equilibrium_initial_ionization_mass_fractions: 0   # (Optional) set the initial ionization fractions depending on gas temperature assuming ionization equilibrium.
  set_initial_ionization_mass_fractions: 0          # (Optional) manually overwrite initial mass fraction of each species (using the values you set below)
  stellar_spectrum_type: 1                          # Which radiation spectrum to use. 0: constant over all frequencies. 1: blackbody spectrum.
  stellar_spectrum_blackbody_temperature_K: 1.e5    # (Conditional) if stellar_spectrum_type=1, use this temperature (in K) for the blackbody spectrum.
  skip_thermochemistry: 1

